package com.android.launcher3;

import android.app.Application;
import android.content.Context;

import com.secspace.lib.common.function.ActivationHelper;
import com.secspace.lib.common.update.CheckUpdateCore;
import com.secspace.lib.common.utils.DpmHelper;

public class App extends Application {
    private Context mApp;

    @Override
    public void onCreate() {
        super.onCreate();
        mApp = getApplicationContext();
        DpmHelper dpmHelper = DpmHelper.getInstance(mApp);
        if (dpmHelper.isMiddlewareLatest()) {
            dpmHelper.initMiddleWare();
        }
        ActivationHelper.INSTANCE.init(mApp);
        CheckUpdateCore.get().init(this);
    }
}
